org.apache.lucene.mockfile

## Class ShuffleFS

- java.lang.Object
- - java.nio.file.spi.FileSystemProvider
  - - org.apache.lucene.mockfile.FilterFileSystemProvider
    - - org.apache.lucene.mockfile.ShuffleFS

    public class ShuffleFS
    extends FilterFileSystemProvider

Gives an unpredictable, but deterministic order to directory listings.

This can be useful if for instance, you have build servers on linux but developers are using macs.

### Field Summary

### Fields inherited from class org.apache.lucene.mockfile.FilterFileSystemProvider

`delegate, fileSystem, scheme`

### Constructor Summary

Constructors
Constructor and Description
`ShuffleFS(FileSystem delegate, long seed)` Create a new instance, wrapping `delegate`.

### Method Summary

All Methods Instance Methods Concrete Methods
`DirectoryStream<Path>` `newDirectoryStream(Path dir, DirectoryStream.Filter<? super Path> filter)`

### Methods inherited from class org.apache.lucene.mockfile.FilterFileSystemProvider

`checkAccess, copy, createDirectory, createLink, createSymbolicLink, delete, deleteIfExists, getFileAttributeView, getFileStore, getFileSystem, getPath, getScheme, isHidden, isSameFile, move, newAsynchronousFileChannel, newByteChannel, newFileChannel, newFileSystem, newFileSystem, newInputStream, newOutputStream, onClose, readAttributes, readAttributes, readSymbolicLink, setAttribute, toDelegate, toString`

### Methods inherited from class java.nio.file.spi.FileSystemProvider

`installedProviders`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ShuffleFS

    public ShuffleFS(FileSystem delegate,
                     long seed)

Create a new instance, wrapping `delegate`.

### Method Detail

#### newDirectoryStream

    public DirectoryStream<Path> newDirectoryStream(Path dir,
                                                    DirectoryStream.Filter<? super Path> filter)
                                             throws IOException

Overrides:
  `newDirectoryStream` in class `FilterFileSystemProvider`
Throws:
  `IOException`